Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.xs
Class XSWildcardDecl

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XSWildcardDecl

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSObject, weblogic.apache.xerces.impl.xs.psvi.XSTerm, weblogic.apache.xerces.impl.xs.psvi.XSWildcard

Deprecated. please use JDK supplied XML parsers and transformers

    public class XSWildcardDecl

extends Object
implements weblogic.apache.xerces.impl.xs.psvi.XSWildcard

The XML representation for a wildcard declaration schema component is an or element information item

Field Summary
`static String` | `ABSENT` Deprecated.
`String[]` | `fNamespaceList` Deprecated.
`short` | `fProcessContents` Deprecated.
`short` | `fType` Deprecated.

Fields inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSWildcard
`NSCONSTRAINT_ANY, NSCONSTRAINT_LIST, NSCONSTRAINT_NOT, PC_LAX, PC_SKIP, PC_STRICT`

Constructor Summary
`XSWildcardDecl()` Deprecated.

Method Summary
`boolean` | `allowNamespace(String namespace)` Deprecated. Validation Rule: Wildcard allows Namespace Name
`weblogic.apache.xerces.impl.xs.psvi.XSAnnotation` | `getAnnotation()` Deprecated. Optional.
`short` | `getConstraintType()` Deprecated. Namespace constraint: A constraint type: any, not, list.
`String` | `getName()` Deprecated. The `name` of this `XSObject` depending on the `XSObject` type.
`String` | `getNamespace()` Deprecated. The namespace URI of this node, or `null` if it is unspecified.
`weblogic.apache.xerces.impl.xs.psvi.StringList` | `getNSConstraintList()` Deprecated. Namespace constraint.
`short` | `getProcessContents()` Deprecated. {process contents} One of skip, lax or strict.
`short` | `getType()` Deprecated. Get the type of the object, i.e ELEMENT_DECLARATION.
`boolean` | `isSubsetOf(XSWildcardDecl superWildcard)` Deprecated. Schema Component Constraint: Wildcard Subset
`XSWildcardDecl` | `performIntersectionWith(XSWildcardDecl wildcard, short processContents)` Deprecated. Schema Component Constraint: Attribute Wildcard Intersection
`XSWildcardDecl` | `performUnionWith(XSWildcardDecl wildcard, short processContents)` Deprecated. Schema Component Constraint: Attribute Wildcard Union
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ABSENT

    public static final String ABSENT

  Deprecated.

### fType

    public short fType

  Deprecated.

### fProcessContents

    public short fProcessContents

  Deprecated.

### fNamespaceList

    public String[] fNamespaceList

  Deprecated.

Constructor Detail

### XSWildcardDecl

    public XSWildcardDecl()

  Deprecated.

Method Detail

### allowNamespace

    public boolean allowNamespace(String namespace)

  Deprecated.
  Validation Rule: Wildcard allows Namespace Name

### isSubsetOf

    public boolean isSubsetOf(XSWildcardDecl superWildcard)

  Deprecated.
  Schema Component Constraint: Wildcard Subset

### performUnionWith

    public XSWildcardDecl performUnionWith(XSWildcardDecl wildcard,
                                           short processContents)

  Deprecated.
  Schema Component Constraint: Attribute Wildcard Union

### performIntersectionWith

    public XSWildcardDecl performIntersectionWith(XSWildcardDecl wildcard,
                                                  short processContents)

  Deprecated.
  Schema Component Constraint: Attribute Wildcard Intersection

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### getType

    public short getType()

  Deprecated.
  Get the type of the object, i.e ELEMENT_DECLARATION.

  Specified by:
    `getType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getName

    public String getName()

  Deprecated.
  The `name` of this `XSObject` depending on the `XSObject` type.

  Specified by:
    `getName` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getNamespace

    public String getNamespace()

  Deprecated.
  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

  Specified by:
    `getNamespace` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getConstraintType

    public short getConstraintType()

  Deprecated.
  Namespace constraint: A constraint type: any, not, list.

  Specified by:
    `getConstraintType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSWildcard`

### getNSConstraintList

    public weblogic.apache.xerces.impl.xs.psvi.StringList getNSConstraintList()

  Deprecated.
  Namespace constraint. For `constraintType` LIST_NSCONSTRAINT, the list contains allowed namespaces. For `constraintType` NOT_NSCONSTRAINT, the list contains disallowed namespaces.

  Specified by:
    `getNSConstraintList` in interface `weblogic.apache.xerces.impl.xs.psvi.XSWildcard`

### getProcessContents

    public short getProcessContents()

  Deprecated.
  {process contents} One of skip, lax or strict. Valid constants values are: SKIP_PROCESS, LAX_PROCESS, STRING_PROCESS.

  Specified by:
    `getProcessContents` in interface `weblogic.apache.xerces.impl.xs.psvi.XSWildcard`

### getAnnotation

    public weblogic.apache.xerces.impl.xs.psvi.XSAnnotation getAnnotation()

  Deprecated.
  Optional. Annotation.

  Specified by:
    `getAnnotation` in interface `weblogic.apache.xerces.impl.xs.psvi.XSWildcard`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD